import React from "react";
import { Image } from "@tarojs/components";
/**
 * 引入生命周期函数
 * componentDidMount
 */
import Taro from "@tarojs/taro";

import "./index.scss";

class Canvas extends React.Component<any, any> {
  static defaultProps = {};
  #systemInfo = Taro.getSystemInfoSync();
  constructor(props: any) {
    super(props);
    this.state = {
      height: 0,
    };

    // https://cxzx.smcic.net/topic/tool/img/%E5%B0%91%E5%84%BF%E4%B9%A6%E7%94%BB%E5%A4%A7%E8%B5%9B/6.jpg
  }

  componentDidMount = () => {
    // 创建离屏 Canvas
  };

  getImageKf = (e: any) => {
    this.setState({
      height: (this.#systemInfo.screenWidth / e.detail.width) * e.detail.height,
    });
  };

  render() {
    // const {  } = this.props;
    return (
      <Image
        style={`width: ${this.#systemInfo.screenWidth * 0.92}px;height: ${
          this.state.height
        }px;display: block;margin: 0 auto`}
        showMenuByLongpress={true}
        src="https://cxzx.smcic.net/topic/tool/img/%E5%B0%91%E5%84%BF%E4%B9%A6%E7%94%BB%E5%A4%A7%E8%B5%9B/us-kf.png"
        onLoad={this.getImageKf}
      />
    );
  }
}

export { Canvas };
